Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Class ConfigAttributeDefinition

    java.lang.Object
      org.acegisecurity.ConfigAttributeDefinition

All Implemented Interfaces:
  Serializable

    public class ConfigAttributeDefinition

extends Object
implements Serializable

Holds a group of `ConfigAttribute`s that are associated with a given secure object target.

All the `ConfigAttributeDefinition`s associated with a given `AbstractSecurityInterceptor` are stored in an `ObjectDefinitionSource`.

Version:
  $Id: ConfigAttributeDefinition.java,v 1.7 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`ConfigAttributeDefinition()`

Method Summary
`void` | `addConfigAttribute(ConfigAttribute newConfigAttribute)` Adds a `ConfigAttribute` that is related to the secure object method.
`boolean` | `contains(ConfigAttribute configAttribute)` Indicates whether the specified `ConfigAttribute` is contained within this `ConfigAttributeDefinition`.
`boolean` | `equals(Object obj)`
`Iterator` | `getConfigAttributes()` Returns an `Iterator` over all the `ConfigAttribute`s defined by this `ConfigAttributeDefinition`.
`int` | `size()` Returns the number of `ConfigAttribute`s defined by this `ConfigAttributeDefinition`.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigAttributeDefinition

    public ConfigAttributeDefinition()

Method Detail

### getConfigAttributes

    public Iterator getConfigAttributes()

  Returns an `Iterator` over all the `ConfigAttribute`s defined by this `ConfigAttributeDefinition`.

  Allows `AccessDecisionManager`s and other classes to loop through every configuration attribute associated with a target secure object.

  Returns:
    all the configuration attributes stored by the instance, or `null` if an `Iterator` is unavailable

### addConfigAttribute

    public void addConfigAttribute(ConfigAttribute newConfigAttribute)

  Adds a `ConfigAttribute` that is related to the secure object method.

  Parameters:
    `newConfigAttribute` - the new configuration attribute to add

### contains

    public boolean contains(ConfigAttribute configAttribute)

  Indicates whether the specified `ConfigAttribute` is contained within this `ConfigAttributeDefinition`.

  Parameters:
    `configAttribute` - the attribute to locate
  Returns:
    `true` if the specified `ConfigAttribute` is contained, `false` otherwise

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### size

    public int size()

  Returns the number of `ConfigAttribute`s defined by this `ConfigAttributeDefinition`.

  Returns:
    the number of `ConfigAttribute`s contained

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.